From c9f027dc7773f5492a425d0cb28e5e15ddcec7aa Mon Sep 17 00:00:00 2001
From: Rui Bernardino <rui-p-bernardino@telecom.pt>
Date: Mon, 2 Jun 2014 18:16:57 +0100
Subject: [PATCH] OVAL for 'no_files_unowned_by_group'


Signed-off-by: Rui Bernardino <rui-p-bernardino@telecom.pt>
---
 RHEL/6/input/checks/no_files_unowned_by_group.xml |   43 +++++++++++++++++++++
 1 files changed, 43 insertions(+), 0 deletions(-)
 create mode 100644 RHEL/6/input/checks/no_files_unowned_by_group.xml

diff --git a/RHEL/6/input/checks/no_files_unowned_by_group.xml b/RHEL/6/input/checks/no_files_unowned_by_group.xml
new file mode 100644
index 0000000..376a3f7
--- /dev/null
+++ b/RHEL/6/input/checks/no_files_unowned_by_group.xml
@@ -0,0 +1,43 @@
+<def-group>
+  <definition class="compliance" id="no_files_unowned_by_group" version="1">
+    <metadata>
+      <title>Find files unowned by a group</title>
+      <affected family="unix">
+        <platform>Red Hat Enterprise Linux 6</platform>
+      </affected>
+      <description>All files should be owned by a group</description>
+    </metadata>
+    <criteria>
+      <criterion comment="Check all files and make sure they are owned by a group"
+      test_ref="no_files_unowned_by_group_test" />
+    </criteria>
+  </definition>
+
+ <unix:file_state id="file_permissions_unowned_groupid_list_match" version="1">
+    <unix:group_id var_check="at least one" var_ref="file_permissions_unowned_groupid_list" datatype="int" />
+  </unix:file_state>
+
+  <local_variable id="file_permissions_unowned_groupid_list" comment="List of valid group ids" datatype="int" version="1">
+    <object_component item_field="subexpression" object_ref="file_permissions_unowned_groupid_list_object" />
+  </local_variable>
+
+  <ind:textfilecontent54_object id="file_permissions_unowned_groupid_list_object" version="1">
+    <ind:filepath>/etc/group</ind:filepath>
+    <ind:pattern operation="pattern match">^[^:]+:[^:]+:([\d]+):</ind:pattern>
+    <ind:instance operation="greater than or equal" datatype="int">1</ind:instance>
+  </ind:textfilecontent54_object>
+
+  <unix:file_object comment="all local files" id="file_permissions_unowned_by_group_object" version="1">
+    <unix:behaviors recurse="directories" recurse_direction="down" recurse_file_system="local" />
+    <unix:path>/</unix:path>
+    <unix:filename operation="pattern match">.*</unix:filename>
+    <filter action="exclude">file_permissions_unowned_groupid_list_match</filter>
+  </unix:file_object>
+
+  <unix:file_test xmlns:unix="http://oval.mitre.org/XMLSchema/oval-definitions-5#unix"
+  check="all" check_existence="none_exist" comment="Check group ids on all files on the system"
+  id="no_files_unowned_by_group_test" version="1">
+    <unix:object object_ref="file_permissions_unowned_by_group_object" />
+  </unix:file_test>
+</def-group>
+
-- 
1.7.1

